Subject: Re: bug#75638: [PATCH] Include various GNU manuals in info-url-alist

From: Björn Bidar <[email-masked]>
Date: Sat, 18 Jan 2025 16:23:33 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 18 Jan 2025 04:45:50 +0200
>> From:  Björn Bidar via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> The patch adds various GNU manuals to the default value of
>> Info-url-alist.
>> I scanned https://www.gnu.org/manual/ for the manuals which could go
>> into this list.
>
> The canonical place that associates Texinfo manuals with the URLs of
> their Web pages is the file util/htmlxref.cnf in the Texinfo source
> tree.

If this file exists why do we not use it then?

> I'm not sure I like this direction of extending Info-goto-node-web.
> It was designed to support the Emacs manuals.

Info is for reading info Texinfo manuals not just Emacs manuals right?
If so the command isn't just specific to Emacs manuals. 

> Adding all this stuff to it takes us very far from that goal, and
> I'm not sure why would we  want that.

To link to documentation for example. For example a project I'm working
on uses Autoconf. To explain a change I've made I linked to the manual
on the GNU website. Linking to HTML version of the manual is the most
accessible in a editor neutral context.

> Proliferating use of HTML docs on the Web (as opposed to
> local Info manuals) is not a goal I'd like us to pursue.
>
I would like to link to Info manuals so they can be opened with Info but
there is no such a thing. If such functionality is ok with Emacs related
manuals it should be ok with all manuals. If we want to increase the
users of these manuals the accessibility of the manuals needs to be
improved being able to link to all the manuals is a step into that direction. 

> This also makes us responsible for keeping this list up-to-date, which
> means we'd need to track the Texinfo's htmlxref.cnf file from now on.
> A slightly better change would be to add a command that will process
> htmlxref.cnf file (if it's installed in /usr/share/texinfo/) and
> augment the value of Info-url-alist with the URLs found there.

Why wasn't this file used in the first place?

> I've added Stefan, Andrea and Juri to this discussion, and would be
> interested to hear their opinions on this change.
>
> In any case, if this is installed, the doc string of
> Info-goto-node-web should also be updated, as it no longer goes only
> to gnu.org Web server.  A NEWS entry is probably also warranted.

That does make sense. IMHO it is a little confusing that the function
refers to gnu.org when the server isn't the only one hosting Info manuals.